Package org.apache.commons.collections4.set

# Class UnmodifiableNavigableSet<E>

java.lang.Object
org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
org.apache.commons.collections4.set.AbstractSetDecorator<E>
org.apache.commons.collections4.set.AbstractSortedSetDecorator<E>
org.apache.commons.collections4.set.AbstractNavigableSetDecorator<E>
org.apache.commons.collections4.set.UnmodifiableNavigableSet<E>

Type Parameters:
  `E` - The type of the elements in this set

All Implemented Interfaces:
  `Serializable`, `Iterable<E>`, `Collection<E>`, `NavigableSet<E>`, `Set<E>`, `SortedSet<E>`, `Unmodifiable`

public final class UnmodifiableNavigableSet<E> extends AbstractNavigableSetDecorator<E> implements Unmodifiable
Decorates another `NavigableSet` to ensure it can't be altered.

Attempts to modify it will result in an UnsupportedOperationException.

Since:
  4.1
See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(E object)`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `addAll(Collection<? extends E> coll)`
  Always throws `UnsupportedOperationException`.
  `void`
  `clear()`
  Always throws `UnsupportedOperationException`.
  `Iterator<E>`
  `descendingIterator()`
  `NavigableSet<E>`
  `descendingSet()`
  `SortedSet<E>`
  `headSet(E toElement)`
  `NavigableSet<E>`
  `headSet(E toElement, boolean inclusive)`
  `Iterator<E>`
  `iterator()`
  `E`
  `pollFirst()`
  Always throws `UnsupportedOperationException`.
  `E`
  `pollLast()`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `remove(Object object)`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `removeAll(Collection<?> coll)`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `removeIf(Predicate<? super E> filter)`
  Always throws `UnsupportedOperationException`.
  `boolean`
  `retainAll(Collection<?> coll)`
  Always throws `UnsupportedOperationException`.
  `NavigableSet<E>`
  `subSet(E fromElement, boolean fromInclusive, E toElement, boolean toInclusive)`
  `SortedSet<E>`
  `subSet(E fromElement, E toElement)`
  `SortedSet<E>`
  `tailSet(E fromElement)`
  `NavigableSet<E>`
  `tailSet(E fromElement, boolean inclusive)`
  `static <E> NavigableSet<E>`
  `unmodifiableNavigableSet(NavigableSet<E> set)`
  Factory method to create an unmodifiable set.

  ### Methods inherited from class org.apache.commons.collections4.set.AbstractNavigableSetDecorator

  `ceiling, decorated, floor, higher, lower`

  ### Methods inherited from class org.apache.commons.collections4.set.AbstractSortedSetDecorator

  `comparator, first, last`

  ### Methods inherited from class org.apache.commons.collections4.set.AbstractSetDecorator

  `equals, hashCode`

  ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

  `contains, containsAll, isEmpty, setCollection, size, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.Set

  `contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

  ### Methods inherited from interface java.util.SortedSet

  `comparator, first, last, spliterator`

- ## Method Details

  - ### unmodifiableNavigableSet

    public static <E> NavigableSet<E> unmodifiableNavigableSet(NavigableSet<E> set)
    Factory method to create an unmodifiable set.
    Type Parameters:
      `E` - The element type
    Parameters:
      `set` - The set to decorate, must not be null
    Returns:
      A new unmodifiable `NavigableSet`
    Throws:
      `NullPointerException` - if set is null

  - ### add

    public boolean add(E object)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `add` in interface `Collection<E>`
    Specified by:
      `add` in interface `Set<E>`
    Overrides:
      `add` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `object` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### addAll

    public boolean addAll(Collection<? extends E> coll)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `addAll` in interface `Collection<E>`
    Specified by:
      `addAll` in interface `Set<E>`
    Overrides:
      `addAll` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `coll` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### clear

    public void clear()
    Always throws `UnsupportedOperationException`.
    Specified by:
      `clear` in interface `Collection<E>`
    Specified by:
      `clear` in interface `Set<E>`
    Overrides:
      `clear` in class `AbstractCollectionDecorator<E>`
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### descendingIterator

    public Iterator<E> descendingIterator()
    Specified by:
      `descendingIterator` in interface `NavigableSet<E>`
    Overrides:
      `descendingIterator` in class `AbstractNavigableSetDecorator<E>`

  - ### descendingSet

    public NavigableSet<E> descendingSet()
    Specified by:
      `descendingSet` in interface `NavigableSet<E>`
    Overrides:
      `descendingSet` in class `AbstractNavigableSetDecorator<E>`

  - ### headSet

    public SortedSet<E> headSet(E toElement)
    Specified by:
      `headSet` in interface `NavigableSet<E>`
    Specified by:
      `headSet` in interface `SortedSet<E>`
    Overrides:
      `headSet` in class `AbstractSortedSetDecorator<E>`

  - ### headSet

    public NavigableSet<E> headSet(E toElement, boolean inclusive)
    Specified by:
      `headSet` in interface `NavigableSet<E>`
    Overrides:
      `headSet` in class `AbstractNavigableSetDecorator<E>`

  - ### iterator

    public Iterator<E> iterator()
    Specified by:
      `iterator` in interface `Collection<E>`
    Specified by:
      `iterator` in interface `Iterable<E>`
    Specified by:
      `iterator` in interface `NavigableSet<E>`
    Specified by:
      `iterator` in interface `Set<E>`
    Overrides:
      `iterator` in class `AbstractCollectionDecorator<E>`

  - ### pollFirst

    public E pollFirst()
    Always throws `UnsupportedOperationException`.
    Specified by:
      `pollFirst` in interface `NavigableSet<E>`
    Overrides:
      `pollFirst` in class `AbstractNavigableSetDecorator<E>`
    Throws:
      `UnsupportedOperationException` - Always thrown.
    Since:
      4.5.0-M1

  - ### pollLast

    public E pollLast()
    Always throws `UnsupportedOperationException`.
    Specified by:
      `pollLast` in interface `NavigableSet<E>`
    Overrides:
      `pollLast` in class `AbstractNavigableSetDecorator<E>`
    Throws:
      `UnsupportedOperationException` - Always thrown.
    Since:
      4.5.0-M1

  - ### remove

    public boolean remove(Object object)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `remove` in interface `Collection<E>`
    Specified by:
      `remove` in interface `Set<E>`
    Overrides:
      `remove` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `object` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### removeAll

    public boolean removeAll(Collection<?> coll)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `removeAll` in interface `Collection<E>`
    Specified by:
      `removeAll` in interface `Set<E>`
    Overrides:
      `removeAll` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `coll` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### removeIf

    public boolean removeIf(Predicate<? super E> filter)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `removeIf` in interface `Collection<E>`
    Overrides:
      `removeIf` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `filter` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.
    Since:
      4.4

  - ### retainAll

    public boolean retainAll(Collection<?> coll)
    Always throws `UnsupportedOperationException`.
    Specified by:
      `retainAll` in interface `Collection<E>`
    Specified by:
      `retainAll` in interface `Set<E>`
    Overrides:
      `retainAll` in class `AbstractCollectionDecorator<E>`
    Parameters:
      `coll` - Ignored.
    Throws:
      `UnsupportedOperationException` - Always thrown.

  - ### subSet

    public NavigableSet<E> subSet(E fromElement, boolean fromInclusive, E toElement, boolean toInclusive)
    Specified by:
      `subSet` in interface `NavigableSet<E>`
    Overrides:
      `subSet` in class `AbstractNavigableSetDecorator<E>`

  - ### subSet

    public SortedSet<E> subSet(E fromElement, E toElement)
    Specified by:
      `subSet` in interface `NavigableSet<E>`
    Specified by:
      `subSet` in interface `SortedSet<E>`
    Overrides:
      `subSet` in class `AbstractSortedSetDecorator<E>`

  - ### tailSet

    public SortedSet<E> tailSet(E fromElement)
    Specified by:
      `tailSet` in interface `NavigableSet<E>`
    Specified by:
      `tailSet` in interface `SortedSet<E>`
    Overrides:
      `tailSet` in class `AbstractSortedSetDecorator<E>`

  - ### tailSet

    public NavigableSet<E> tailSet(E fromElement, boolean inclusive)
    Specified by:
      `tailSet` in interface `NavigableSet<E>`
    Overrides:
      `tailSet` in class `AbstractNavigableSetDecorator<E>`